# MimeTyped - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts / MimeTyped

# MimeTyped

(common) `interface MimeTyped` (source)

### Properties

(common)

#### mimeType

`abstract val mimeType: MimeType?`

### Inheritors

(common)

#### InlineQueryResultDocument

`interface InlineQueryResultDocument : InlineQueryResultDocumentCommon, UrlInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult, MimeTyped`

(common)

#### InlineQueryResultVideo

`interface InlineQueryResultVideo : InlineQueryResultVideoCommon, UrlInlineQueryResult, ThumbedInlineQueryResult, MimeTyped, SizedInlineQueryResult, DuratedInlineResultQuery`

(common)

#### MimedMediaFile

`interface MimedMediaFile : TelegramMediaFile, MimeTyped`